
QGIS Application - Bug report #20257

Make the invitation to download newer version translatable

2018-10-29 01:14 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Translations and international

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28078

Description

When a new release is out, you are asked to download that version but the message is half translated and translatable (couldn't find the

English part on Transifex)

See the attached screenshot.

History

#1 - 2018-10-29 01:26 PM - Jürgen Fischer

That's from version.txt produced by mkversion.py.  It's parsed at source:src/app/qgsversioninfo.cpp#L56 . i18n is currently not taken into account.

#2 - 2018-10-29 01:26 PM - Jürgen Fischer

- Category changed from Unknown to Translations and international

#3 - 2018-10-31 03:50 PM - Harrissou Santanna

Thanks Jürgen for the explanation. Hoping that someone more skilled than me will add the missing bit to enable translations.
https://version.qgis.org/version.txt
https://github.com/qgis/QGIS-Website/blob/master/scripts/mkversion.py

